*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Outfit';
}

body{
    background-color: #151515;
    width: 100%;
    height: 80vh;
    
}

.navbar{
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: transparent;
    backdrop-filter: blur(7px);
    padding: 25px;
    padding-left: 30px;
    padding-right: 30px;
    color: #fff;
    z-index: 1000;
    font-family: "";
    top: 0;
    left: 0;
    position: fixed;
    width: 100%;
}

.navbar .logo{
    font-family: "Outfit";
    font-size: 2rem;
    font-weight: 700;
}

.logo span{
    font-family: "outfit";
    color: #04a8fa;
    text-shadow: 0px 0px 5px;
    margin-right: 30;
}

.navbar .menu a{
    text-decoration-line: none;
    color: #fff;
    font-family: "poppins";
    font-size: 1.3rem;
    font-weight: 600;
    margin: 8px;
    position: relative;
    transition: all 0.3s ease;
}

.navbar .menu a:hover{
    color: #04a8fa;
    text-shadow: 0px 0 5px;
}

.navbar .menu a::after {
    content: '';
    position: absolute;
    width: 0;
    height: 2px;
    background-color: #04a8fa;
    align-items: center;
    left: 50%;
    transform: translateX(-50%);
    bottom: 0;
    transition: width 0.5s ease;
}

.navbar .menu a:hover::after {
    width: 50%;
}

.home{
    padding-left: 20%;
    margin-top: 10%;
    color: #fff;
}

.home h1 span{
    color: #74cffc;
    transition: text-shadow 0.7s ease;
}


.home h1 span:hover{
    text-shadow: #74cffc 0px 0px 10px;
    cursor: pointer;
}

.home img{
    width: 25%;
    border-radius: 50%;
    float: right;
    margin-top: -15%;
    margin-right: 20%;
    box-shadow: #04a8fa 0px 0px 30px;
    transition: box-shadow 0.5s ease;
}

.home img:hover{
    box-shadow: #04a8fa 0px 0px 75px;
    cursor: pointer;
}

.home .media a{
    margin-left: 0;
    color: #04a8fa;
    box-shadow: 0px;
    margin: 5px;
    transition: box-shadow 0,5s ease;
}

.home .media a:hover{
    box-shadow: #04a8fa 0px 0px 75px;
}

.home button{
    background-color: #04a8fa;
    border-radius: 10px;
    transition: box-shadow 0.7s ease;
}

.home button a{
    font-family: "poppins";
    font-weight: 600;
    text-decoration: none;
    margin: 10px;
    margin-top: 15px;
    font-size: 20px;
    color: #fff;
}

.home button:hover{
    box-shadow: #04a8fa 0px 0px 20px;
}

ion-icon {
    font-size: 32px;
    border: 2px #04a8fa;
  }

.about{
    padding-top: 10%;
    margin-left: 20%;
    margin-top: 25%;
    color: #fff;
}

.about span{
    color: #04a8fa;
}

.about p{
    font-size: 1rem;
    display: flex;
    width: 45%;
    justify-content: center;

}


.about img{
    width: 25%;
    border-radius: 50%;
    float: left;
    margin-top: 0%;
    margin-right: 10%;
    box-shadow: #04a8fa 0px 0px 30px;
    transition: box-shadow 1s ease;
}

.about img:hover{
    box-shadow: #04a8fa 0px 0px 75px;
    cursor: pointer;
}

.skil{
    padding-top: 20%;
    color: #fff;
}

.skil img{
    width: 10%;
    border-radius: 20px;
    margin: 3%;
    transition: all 0.5s ease;
}

.skil img:hover{
    box-shadow: #74cffc 0px 0px 70px;
    cursor: pointer;
}

.projek{
    padding-top: 10%;
    margin-top: 20%;
    color: #fff;
    text-align: center;
    justify-content: center;
}

.projek h1{
    text-align: center;
}

.card{
    width: 18%;
    margin-top: 8%;
    border: 3px solid #04a8fa;
    border-radius: 15px;
    transition: all 0.5s ease;
    font-family: 'Poppins';
    align-items: center;
    justify-content: center;
    transition: all 0.5s ease-in;
    margin-bottom: 10%;
}
    

.card:hover{
    box-shadow: #04a8fa 0px 0px 90px;
}

.projek h1{
    text-align: center;
    align-items: center;
}

.card img{
    width: 85%;
    padding: 5%;
}

.card h3{
    background-color: #04a8fa;
    border-radius: 20px;
    width: 50%;
    text-align: center;
    justify-content: center;
    color: #151515;
}

.card p{
    text-align: left;
    padding: 20px;
}

.card a{
    text-decoration: none;
}

.P {
    display: flex;  
    justify-content: center;  
    gap: 10rem; 
    flex-wrap: wrap; 
}


footer {
    background: #151515;
    color: white;
    text-align: center;
    padding: 20px;
}

.social-icons a{
    width: 30px;
    margin: 0 10px;
    transition: 0.3s;
    color: #fff;
}

.social-icons :hover {
    transform: scale(1.2);
}
